## sflphone 0.9.13

=== debian/changelog ===
sflphone (0.9.13-3) unstable; urgency=low

  * Change build dependency on libwebkit-dev with libwebkitgtk-dev
    (closes: #635425)
  * Add libnotify 0.7 upstream patch and bump build-dependency
    (closes: #630302)
  * Replace dependency on gnome-icon-theme with just librsvg2-common
    (closes: #611369, #628608)
  * Add empty build-arch and build-indep targets in debian/rules

 -- Francois Marier <francois@debian.org>  Mon, 01 Aug 2011 16:50:46 -0400

sflphone (0.9.13-2) unstable; urgency=low

  * Disable SSLv2 to fix FTBFS bug (closes: #621395)
  * Add missing dependency on gnome-icon-theme (closes: #611369)
    Thanks to Lisandro Damián Nicanor Pérez Meyer!
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Francois Marier <francois@debian.org>  Mon, 30 May 2011 21:11:37 +1200

sflphone (0.9.13-1) unstable; urgency=low

  * New upstream release
    - remove Debian patch (applied upstream)
  * Fix watch file
  * Remove unnecessary versioned dependency

 -- Francois Marier <francois@debian.org>  Tue, 05 Apr 2011 14:14:13 +1200

sflphone (0.9.12-2) unstable; urgency=high

  * Security update (possible buffer overflows)

 -- Francois Marier <francois@debian.org>  Fri, 04 Feb 2011 14:41:18 +1300
