## sflphone 1.0.1

=== debian/changelog ===
sflphone (1.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build definitions for S/390 targets (closes: #653127).

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 21:20:38 +0000

sflphone (1.0.1-4) unstable; urgency=low

  * Don't assume that arch:all packages will get built (closes: #649726)

 -- Francois Marier <francois@debian.org>  Fri, 25 Nov 2011 13:24:12 +1300

sflphone (1.0.1-3) unstable; urgency=low

  * Explicit dh_installdirs in override_dh_auto_install (closes: #649726)
  * Backport upstream patch to silence log messages (closes: #591807)

 -- Francois Marier <francois@debian.org>  Thu, 24 Nov 2011 16:07:47 +1300

sflphone (1.0.1-2) unstable; urgency=low

  * debian/rules: start with dh_auto_install in its override target

 -- Francois Marier <francois@debian.org>  Wed, 23 Nov 2011 14:51:16 +1300

sflphone (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Drop remove_sslv2 and libnotify07 patches (no longer needed)

  * debian/rules: simplify and update paths
  * new build dependencies: libdbus-c++-dev, libgtk-3-dev and
    libwebkitgtk-3.0-dev
  * remove build dependency on libedataserverui-dev (closes: #640090)

 -- Francois Marier <francois@debian.org>  Tue, 22 Nov 2011 21:35:35 +1300
