=== kde/doc/CMakeLists.txt ===
########### install files ###############
#
#

KDE4_CREATE_HANDBOOK(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR sflphone-client-kde)
