=== kde/plasma/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

add_subdirectory(dataengine)
add_subdirectory(plasmoid)
