=== debian/changelog ===
sflphone (1.0.2-1ubuntu2) precise; urgency=low

  * 07_config-guess-sub.patch: regenerated config.{guess,sub} file
    to fix FTBFS on armel/armhf. 

 -- Whoopie <whoopie79@gmx.net>  Tue, 27 Mar 2012 13:50:18 +0200

sflphone (1.0.2-1ubuntu1) precise; urgency=low

  * Apply some upstream patches to fix FTBFS (LP: #913018):
    - debian/patches/05_glib_includes.patch: fix glib includes.
    - debian/patches/06_use_XkbKeycodeToKeysym.patch: use 
      XkbKeycodeToKeysym instead of (deprecated) XKeycodeToKeysym.

 -- Whoopie <whoopie79@gmx.net>  Thu, 22 Mar 2012 10:29:10 +0100

sflphone (1.0.2-1) unstable; urgency=low

  * New upstream release
    - remove logging patch (applied upstream)
    - update s390 patch since it was partially applied upstream
  * Include the Evolution plugin as a separate binary package

  * Fix compilation issues on SH4 (closes: #658987)
  * Merge Ubuntu's binutils-gold linking fix

 -- Francois Marier <francois@debian.org>  Sat, 18 Feb 2012 21:47:09 +1300
