=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,26 @@
 	cd daemon && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --disable-doxygen --without-ilbc
 	cd gnome && ./autogen.sh --prefix=/usr
 	cd gnome && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
+	cd plugins && ./autogen.sh --prefix=/usr
+	cd plugins && ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"
 
 override_dh_auto_build:
 	cd daemon/libs/pjproject && make V=1
 	cd daemon && make V=1
 	cd gnome && make V=1
+	cd plugins && make V=1
 
 override_dh_auto_clean:
 	cd daemon/libs/pjproject && [ ! -f build.mak ] || $(MAKE) distclean
 	cd daemon && [ ! -f Makefile ] || $(MAKE) distclean
 	cd gnome && [ ! -f Makefile ] || $(MAKE) distclean
+	cd plugins && [ ! -f Makefile ] || $(MAKE) distclean
 	dh_auto_clean
 
 override_dh_auto_install:
 	cd daemon && make DESTDIR=$(CURDIR)/debian/sflphone-daemon install
 	cd gnome && make DESTDIR=$(CURDIR)/debian/sflphone-gnome install
+	cd plugins && make DESTDIR=$(CURDIR)/debian/sflphone-evolution install
 
 	# Move gconf schemas to the right place
 	mv $(CURDIR)/debian/sflphone-gnome/usr/etc/gconf/schemas/* $(CURDIR)/debian/sflphone-gnome/usr/share/gconf/schemas/
